Bug 469027 - (bindfs) Review Request: bindfs - Fuse filesystem to mirror a directory
Review Request: bindfs - Fuse filesystem to mirror a directory
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 11:28 EDT by Till Maas
Modified: 2009-01-14 21:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:52:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-10-29 11:28:41 EDT
Spec URL: http://till.fedorapeople.org/review/bindfs.spec
SRPM URL: http://till.fedorapeople.org/review/bindfs-1.8-2.tillf8.src.rpm
Description:
Bindfs allows you to mirror a directory and also change the the permissions in
the mirror directory.
Comment 1 Pavel Alexeev 2008-10-30 08:23:55 EDT
If it fuse filesystem may be name should be like "fuse-bind" or "fuse-bindfs"?
Comment 2 Till Maas 2008-10-30 08:58:53 EDT
(In reply to comment #1)
> If it fuse filesystem may be name should be like "fuse-bind" or "fuse-bindfs"?

There is nothing about fuse in the naming guidelines and there are already other fuse filesystems in Fedora that do not use fuse in their name, e.g.
curlftpfs
funionfs
obexfs
Comment 3 Till Maas 2008-12-12 03:22:43 EST
Spec URL: http://till.fedorapeople.org/review/bindfs.spec
SRPM URL: http://till.fedorapeople.org/review/bindfs-1.8.1-1.tillf8.src.rpm

Update to new version.
Comment 4 manuel wolfshant 2008-12-12 09:21:57 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output: empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type as specified by source: GPL+
==> see also Note 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 4bbb965ee97a56a2f921dc2944b757dc6efd038c bindfs-1.8.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [!] Final provides and requires are sane.
=> See note 2

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.



===Notes ===
1. Author's intent seems to be GPLv2+. Both the website and the bundled COPYING specify this, but the sources do not. I recommend getting in touch with the author and asking him to include the license in the source files.
2. There is no need to manually require fuse. rpmbuild already adds:
libfuse.so.2()(64bit)
libfuse.so.2(FUSE_2.2)(64bit)
libfuse.so.2(FUSE_2.5)(64bit)
libfuse.so.2(FUSE_2.6)(64bit)
3. Timestamps of the bundled docs are not preserved. Maybe you can fix that. The traditional INSTALL="install -p" did not work here but I might have made an errror during testing.

Package APPROVED but please solve before commit at least "Note 2" mentioned above.
Comment 5 Till Maas 2008-12-12 09:56:10 EST
Thank you very much for this fast review, it was perfect timing, because upstream just fixed a bug this morning that hit me. :-D

- Using this makes it preserve the timestamp of the manpage:
%configure INSTALL="%{_bindir}/install -p"

- I filed a ticket upstream about the license:

http://code.google.com/p/bindfs/issues/detail?id=6

- The Requires: fuse is removed

New Package CVS Request
=======================
Package Name: bindfs
Short Description: Fuse filesystem to mirror a directory
Owners: till
Branches: F-10 F-9 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2008-12-14 00:18:30 EST
cvs done.
Comment 7 Fedora Update System 2008-12-15 18:20:01 EST
bindfs-1.8.2-1.fc9.1 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/bindfs-1.8.2-1.fc9.1
Comment 8 Fedora Update System 2008-12-15 18:20:07 EST
bindfs-1.8.2-1.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bindfs-1.8.2-1.fc10.1
Comment 9 Fedora Update System 2008-12-21 03:20:04 EST
bindfs-1.8.2-1.fc10.1 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bindfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11446
Comment 10 Fedora Update System 2008-12-21 03:40:49 EST
bindfs-1.8.2-1.fc9.1 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update bindfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11479
Comment 11 Fedora Update System 2009-01-14 21:52:13 EST
bindfs-1.8.2-1.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-14 21:55:53 EST
bindfs-1.8.2-1.fc9.1 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.